%define with_test 0

%define has_java 1
%ifarch %arm %mips
%define has_java 0
%endif

Name:          publican
Version:       2.8
Release:       %mkrel 7
Summary:       Common files and scripts for publishing with DocBook XML
Group:         Publishing
License:       Artistic, CPL, GPL
Url:           https://fedorahosted.org/publican/
Source0:       https://fedorahosted.org/released/publican/Publican-%{version}.tar.gz
Source1:       publican-2.5-it.po
BuildRequires: desktop-file-utils
BuildRequires: docbook-style-xsl
BuildRequires: gettext-devel
BuildRequires: perl-devel
# perl module
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Simple)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(Devel::Cover)
BuildRequires: perl(Encode)
BuildRequires: perl-File-Copy-Recursive
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::pushd)
BuildRequires: perl(File::Which)
BuildRequires: perl(HTML::FormatText)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(I18N::LangTags::List)
BuildRequires: perl(Image::Magick)
BuildRequires: perl(Image::Size)
BuildRequires: perl(Locale::Language)
BuildRequires: perl(Locale::Maketext::Gettext)
BuildRequires: perl(Locale::PO)
BuildRequires: perl(Makefile::Parser)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Syntax::Highlight::Engine::Kate)
BuildRequires: perl-Template-Toolkit
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(version)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(XML::TreeBuilder)

# fonts
BuildRequires: fonts-ttf-chinese
BuildRequires: fonts-ttf-japanese
BuildRequires: fonts-ttf-korean
BuildRequires: fonts-ttf-liberation
BuildRequires: lklug-fonts
# TODO BuildRequires: sazanami-fonts

%if %has_java 
# java
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-io
BuildRequires: avalon-framework
BuildRequires: batik
BuildRequires: fop
BuildRequires: xmlgraphics-commons
Requires:      fop
Requires:      batik
%endif

Requires:      cvs
Requires:      docbook-style-xsl
Requires:      gettext


Requires:      perl
Requires:      perl(DBD::SQLite)
Requires:      perl(Locale::Maketext::Gettext)
Requires:      perl(Locale::PO)
Requires:      perl-Template-Toolkit
Requires:      perl(XML::LibXML)
Requires:      perl(XML::LibXSLT)
Requires:      perl(XML::TreeBuilder)

Requires:      fonts-ttf-chinese
Requires:      fonts-ttf-japanese
Requires:      fonts-ttf-korean
Requires:      fonts-ttf-liberation
Requires:      lklug-fonts
# TODO Requires:      sazanami-fonts
# disabling noarch sucks but this prevents disabling java support 
# according to the build arch
#BuildArch:     noarch

%description
Publican is a DocBook publication system, not just a DocBook processing tool.
As well as ensuring your DocBook XML is valid, publican works to ensure
your XML is up to publishable standard.

%package doc
Summary:       Documentation for the Publican package
Group:         Publishing
Requires:      xdg-utils

%description doc
Publican is a tool for publishing material authored in DocBook XML.
This guide explains how to  to create and build books and articles
using publican. It is not a DocBook XML tutorial and concentrates
solely on using the publican tools.

%prep
%setup -q -n Publican-%{version}
cp -pr %{SOURCE1} po/it.po

%build
%{__perl} Build.PL installdirs=vendor
./Build
dir=`pwd` && cd Users_Guide && %{__perl} -CA -I $dir/blib/lib $dir/blib/script/publican build \
  --formats=html-desktop --publish --langs=all \
  --common_config="$dir/blib/datadir" \
  --common_content="$dir/blib/datadir/Common_Content"

%install
./Build install destdir=%{buildroot} create_packlist=0

find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
chmod -R u+w %{buildroot}/*

./fop-ttc-metric.pl --outdir %{buildroot}%{_datadir}/publican/fop/font-metrics --conffile %{buildroot}%{_datadir}/publican/fop/fop.xconf

sed -i -e 's|@@FILE@@|%{_docdir}/%{name}-doc/en-US/index.html|' publican.desktop
sed -i -e 's|@@ICON@@|%{_docdir}/%{name}-doc/en-US/images/icon.svg|' publican.desktop

sed -i -e 's|Categories=Documentation;X-Red-Hat-Base;|Categories=Development;Documentation;|' publican.desktop

desktop-file-install --dir=%{buildroot}%{_datadir}/applications publican.desktop

for file in po/*.po; do
    lang=`echo "$file" | sed -e 's/po\/\(.*\)\.po/\1/'`;
    mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES;
    msgfmt $file -o %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/%{name}.mo;
done

%find_lang %{name}

%if %with_test
%check
./Build test
%endif

%files -f %{name}.lang
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/publican-website.cfg
%config(noreplace) %{_sysconfdir}/bash_completion.d/_publican
%{_bindir}/publican
%dir %{_datadir}/publican
%config(noreplace) %{_datadir}/publican/default.db
%{_datadir}/publican/*.html
%{_datadir}/publican/Common_Content
%{_datadir}/publican/fop
%{_datadir}/publican/sitetemplate
%{_datadir}/publican/templates
%{_datadir}/publican/xsl
%{perl_vendorlib}/Publican.pm
%{perl_vendorlib}/Publican/*
%{_mandir}/man3/*.3pm.xz
%{_mandir}/man1/publican.1.xz
%doc Artistic CHANGES COPYING LICENSE README

%files doc
%{_datadir}/applications/publican.desktop
%doc fdl.txt Users_Guide/publish/desktop/*



%changelog

* Sat Apr 13 2013 fwang <fwang> 2.8-7.mga3
+ Revision: 409991
- rebuild for perl 5.16.3

* Sun Mar 10 2013 rtp <rtp> 2.8-6.mga3
+ Revision: 402066
- disable java BR/R on arm/mips

* Sun Jan 13 2013 umeabot <umeabot> 2.8-5.mga3
+ Revision: 378294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 kamil <kamil> 2.8-4.mga3
+ Revision: 332739
- require perl(Locale::PO)

* Thu Nov 29 2012 dmorgan <dmorgan> 2.8-3.mga3
+ Revision: 323212
- Rebuild against new perl

* Sun Jun 24 2012 dmorgan <dmorgan> 2.8-2.mga3
+ Revision: 263069
- Rebuild against new perl

* Sat Dec 31 2011 gil <gil> 2.8-1.mga2
+ Revision: 189203
- update to 2.8

* Thu Nov 03 2011 gil <gil> 2.6-1.mga2
+ Revision: 162456
- update to 2.6
- imported package publican

